STOFFGraphicParser Class Reference documentation

Public Member Functions | Protected Member Functions | List of all members
STOFFGraphicParser Class Reference

virtual class which defines the ancestor of all graphic/presentation zone parser More...

`#include <STOFFParser.hxx>`

Inheritance diagram for STOFFGraphicParser:

## Public Member Functions
virtual void | parse (librevenge::RVNGDrawingInterface *documentInterface)
| virtual function used to parse the input More...
virtual void | parse (librevenge::RVNGPresentationInterface *documentInterface)
| virtual function used to parse the input More...
Public Member Functions inherited from STOFFParser
virtual | ~STOFFParser ()
| virtual destructor More...
virtual bool | checkHeader (STOFFHeader *header, bool strict=false)=0
| virtual function used to check if the document header is correct (or not) More...
int | version () const
| returns the works version More...
STOFFParserStatePtr | getParserState ()
| returns the parser state More...
STOFFHeader * | getHeader ()
| returns the header More...
STOFFInputStreamPtr & | getInput ()
| returns the actual input More...
const STOFFPageSpan & | getPageSpan () const
| returns the actual page dimension More...
STOFFPageSpan & | getPageSpan ()
| returns the actual page dimension More...
STOFFGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener More...
STOFFSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener More...
STOFFTextListenerPtr & | getTextListener ()
| returns the text listener More...
libstoff::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Protected Member Functions
| STOFFGraphicParser (STOFFInputStreamPtr &input, STOFFHeader *header)
| constructor (protected) More...
| STOFFGraphicParser (STOFFParserStatePtr &state)
| constructor using a state More...
| ~STOFFGraphicParser () override
| destructor More...
Protected Member Functions inherited from STOFFParser
| STOFFParser (STOFFParserState::Type type, STOFFInputStreamPtr input, STOFFHeader *header)
| constructor (protected) More...
| STOFFParser (STOFFParserStatePtr &state)
| constructor using a state More...
void | setVersion (int vers)
| sets the document's version More...
void | setGraphicListener (STOFFGraphicListenerPtr &listener)
| sets the graphic listener More...
void | resetGraphicListener ()
| resets the graphic listener More...
void | setSpreadsheetListener (STOFFSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener More...
void | resetSpreadsheetListener ()
| resets the spreadsheet listener More...
void | setTextListener (STOFFTextListenerPtr &listener)
| sets the text listener More...
void | resetTextListener ()
| resets the text listener More...
void | setAsciiName (char const *name)
| Debugging: change the default ascii file. More...
const std::string & | asciiName () const
| return the ascii file name More...

## Detailed Description

virtual class which defines the ancestor of all graphic/presentation zone parser

## Constructor & Destructor Documentation

## ◆ STOFFGraphicParser() [1/2]

STOFFGraphicParser::STOFFGraphicParser | ( | STOFFInputStreamPtr & | input,
|  | STOFFHeader * | header
| ) |  |
| inlineprotected

constructor (protected)

## ◆ STOFFGraphicParser() [2/2]

STOFFGraphicParser::STOFFGraphicParser | ( | STOFFParserStatePtr & | state | ) |
| inlineexplicitprotected

constructor using a state

## ◆ ~STOFFGraphicParser()

STOFFGraphicParser::~STOFFGraphicParser | ( |  | ) |
| overrideprotected

destructor

## Member Function Documentation

## ◆ parse() [1/2]

void STOFFGraphicParser::parse | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |
| virtual

virtual function used to parse the input

Reimplemented in SDGParser, and SDAParser.

## ◆ parse() [2/2]

void STOFFGraphicParser::parse | ( | librevenge::RVNGPresentationInterface * | documentInterface | ) |
| virtual

virtual function used to parse the input

Reimplemented in SDAParser.

The documentation for this class was generated from the following files:

- STOFFParser.hxx
- STOFFParser.cxx